/**
 * Copyright (c) 2015-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowstep.exception;

/**
 * An assertion requiring a value has an empty value
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertEmptyAttributeValueException extends BuildAssertAttributeInvalidException {

    private static final long serialVersionUID = -4031270793928810032L;

    private static final String MESSAGE_PATTERN = "Attribute '%s': empty value";

    public BuildAssertEmptyAttributeValueException(final String attributeName) {
        super(String.format(MESSAGE_PATTERN, attributeName));
    }

}
